%define name	tux_aqfh
%define version	1.0.14
%define release	%mkrel 11
%define	Summary	Tuxedo T. Penguin: A Quest For Herring

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://tuxaqfh.sourceforge.net/
Group:		Games/Arcade
Source0:	http://tuxaqfh.sourceforge.net/dist/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Summary:	%{Summary}
BuildRequires:	plib-devel
BuildRequires:  libmesaglu-devel
BuildRequires:	libmesaglut-devel
BuildRequires:  libx11-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Tuxedo T. Penguin: A Quest For Herring

%prep
%setup -q

%build
%configure --bindir=%{_gamesbindir} --x-libraries="-L%{_libdir} -lplibjs"
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} bindir=$RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Move website to HTML so we can include it as a %doc instead of clutterng up %_datadir
mv $RPM_BUILD_ROOT%{_datadir}/%{name} HTML

%if %mdkversion < 200900
%post
%{update_menus}
%endif
 
%if %mdkversion < 200900
%postun
%{clean_menus}   
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README HTML
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-11mdv2009.0
+ Revision: 261698
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-10mdv2009.0
+ Revision: 254844
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.0.14-8mdv2008.1
+ Revision: 136552
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 Crispin Boylan <crisb@mandriva.org> 1.0.14-8mdv2008.0
+ Revision: 19488
- BuildRequires libmesaglut
- XDG menu
- Import tux_aqfh



* Tue Feb  8 2005 Olivier Blin <oblin@mandrakesoft.com> 1.0.14-7mdk
- fix menu section

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.14-6mdk
- rebuild for new plib

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.14-5mdk
- rebuild
- add -lplibjs to link flags to make it link with newer plib
- don't bzip2 icons in .src.rpm
- change summary macro to avoid possible conflicts if we were to build debug package

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.14-4mdk
- fixed buildrequires

* Fri Mar 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.14-3mdk
- added libMesaGLU-devel and XFree86-devel to BuildRequires

* Wed Nov 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-2mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Added icons
	- Install stuff in the correct places
	- Moved %%{_datadir}/%%{name} to doc's as it's just a copy of the games website
	- Cleanups

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.14-1mdk
- from Crispin Boylan <viewtronix@uklinux.net> :
	- new version

* Wed Aug  7 2002 Götz Waschk <waschk@linux-mandrake.com> 1.0.13-5mdk
- gcc 3.2 build

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-4mdk
- rebuild to link against latest libstdc++

* Mon Feb 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-3mdk
- rebuild to fix invalid-packager

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.13-2mdk
- remove the menu entry since there is no icon because it generates
  an error in rpmlint; menu entries need to be written fully

* Wed Sep 05 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.13-1mdk
- 1.0.13

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-4mdk
- rebuild

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- clean spec
- menu

* Tue Sep 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-2mdk
- simple rebuild

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.10-1mdk
- first Mandrake Package
